GeiroGeiro MemberComments: 2 Received thanks: 0 Member since: September 2017

Beim Update von 5.5.10 auf 5.6 erhalte ich folgende Fehlermeldung:

 

Error
Received the following error message:
Could not apply migration (Migrations_Migration1632). Error: SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry '98-56' for key 'PRIMARY'

Please try to fix this error and restart the update.
Response

{"valid":false,"errorMsg":"Could not apply migration (Migrations_Migration1632). Error: SQLSTATE[23000]: Integrity constraint violation: 1062 Duplicate entry '98-56' for key 'PRIMARY' "}

 

Was mache ich falsch ?
Wer kann helfen ?

 

Answers

  • Moritz NaczenskiMoritz Naczenski AdministratorsComments: 8365 Received thanks: 2482 Member since: September 2013

    Hast du schon einmal ein Update vorher gemacht und ein Backup eingespielt? Klingt erstmal so.

    Ansonsten mal die Tabelle s_core_acl_privilege_requirements leeren und das Update neu starten.

  • GeiroGeiro MemberComments: 2 Received thanks: 0 Member since: September 2017

    Hi Moritz,
    genau das war es. Vielen Dank für Deine schnelle Hilfe !!!!

  • rpatzelrpatzel MemberComments: 362 Received thanks: 44 Member since: June 2012

    Hallo, guten Abend,

    ich klinke mich hier nach 2 fehlgeschlagenen Updates einmal ein, die hier erwähnte Tabelle habe ich vorsorglich heute schon geleert.
    Beim 1. Update war ich schlampig, hatte 2 ab PHP 7.2 inkompatible Plugins ignoriert was zur Folge hatte, dass weder Back- noch Frontend nach
    Umstellung auf PHP 7.2/3 erreichbar war (weiße Seite), somit konnte ich das Update gar nicht starten.
    Gestern der 2. Versuch - ich kam einen Schritt weiter - die beiden Plugins vor Umstellung deinstalliert/gelöscht, auf PHP 7.2 umgestellt und ich konnte
    das Update durchführen.
    Nach dem Update (das lief ohne jede Fehlermeldung durch) wieder Back- und Frontend nicht erreichbar.
    In der Konsole fand ich eine Fehlermeldung zum Zeichensatz, habe sie aber leider nicht kopiert/gespeichert.

    Vielleicht hat ja jemand einen Tipp, ich will nur ungern einen unnützen 3. Versuch starten und danach wieder mühsam per File Backup zurück zu müssen.

  • MurmeltierMurmeltier MemberComments: 960 Received thanks: 172 edited September 2019 Member since: April 2017

    Naja, die Fehlermeldung sollte doch noch da sein, oder?

  • rpatzelrpatzel MemberComments: 362 Received thanks: 44 Member since: June 2012

    Ich meine damit die Konsole unter Webentwickler bei Firefox, die ist natürlich nicht mehr da.

  • Moritz NaczenskiMoritz Naczenski AdministratorsComments: 8365 Received thanks: 2482 Member since: September 2013
  • rpatzelrpatzel MemberComments: 362 Received thanks: 44 Member since: June 2012

    Danke, aber danach muss erstmal wieder in den "sauren Apfel beißen...

  • rpatzelrpatzel MemberComments: 362 Received thanks: 44 Member since: June 2012

    Nach dem Leeren der Tabelle s_core_acl_privilege_requirements ist das Update heute reibungslos durchgelaufen.
    Shop-Version 5.6.1 läuft jetzt mit PHP 7.3 und MySQL 5.7.26.

Sign In or Register to comment.